Loading...
Searching...
No Matches
slave_zapette.hpp File Reference
Private

remote control for dar_slave. More...

`#include "../my_config.h"`
`#include "generic_file.hpp"`
`#include "contextual.hpp"`

Go to the source code of this file.

## Classes

class | libdar::slave_zapette
| this class answers to order given by a zapette object More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

remote control for dar_slave.

Two objects communicates through a pair of pipes:

- a zapette object is the dar side master class
- a slave_zapette object is dar_slave side

they form a communication channel between dar/libdar (zapette side) and dar_slave/libdar (dar_slave side)

Definition in file slave_zapette.hpp.